##############################################################
#
# Job options file
# prepared by Maksym Deliyergiyev 
# 
# Higgs decay to hidden sector which results in "electron jets"
#
#==============================================================
#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------
from AthenaCommon.AlgSequence import AlgSequence
topAlg = AlgSequence("TopAlg")

include ( "MC10JobOptions/MC10_PythiaMC09p_Common.py" )

#--------------------------------------------------------------
# Algorithms Private Options
#--------------------------------------------------------------
Pythia = topAlg.Pythia
#--------------------------------------------------------------
Pythia.PythiaCommand +=  [
            "pyinit user madgraph",   #set the interface
	    "pysubs msel 0",     #set the user process
            "pyinit pylisti -1", #set the event listing detail at initialisation (-1->turn off)
            "pyinit pylistf 2",  #set the event listing detail in the event dump (2->more detail)
            "pyinit dumpr 1 5",  #set the range of events to dump
            #"pystat 1 3 4 5",
            #"pydat3 mdcy 307 1 0",
            #"pypars mstp 81 21",
            #"pypars mstp 128 1",
            "pydat1 parj 90 20000",  #Turn off FSR.
            "pydat3 mdcy 15 1 0"     #Turn off tau decays
           ]

# ... Tauola
include ( "MC10JobOptions/MC10_Tauola_Fragment.py" )
# ... Photos
include ( "MC10JobOptions/MC10_Photos_Fragment.py" )


#--------------------------------------------------------------
# Configuration for EvgenJobTransforms
#--------------------------------------------------------------
from MC10JobOptions.MadGraphEvgenConfig import evgenConfig
evgenConfig.inputfilebase = 'group10.phys-gener.madgraph.119367.Whlj.TXT.v1'
evgenConfig.efficiency = 0.9

#should run with inputGeneratorFile=Wh.3step.LJets.7TeV.140GeV.events0#.DGE_unweighted.lhe.events.tar.gz
#evgenConfig.minevents  = 1  # Don't crash when testing

#Some scenarios in BlackMax produce particles which escape our four dimensional world and 
#therefore do not appear in the event file generated by BlackMax. This gives an energy 
#imbalance leading to warnings from the routine TestHepMC. Since this is a physics feature 
#and not a bug one should suppress this warning. One way to do this is to set the 
#threshold to an arbitrarily high number, e.g. 100TeV: 
#evgenConfig.maxeventsfactor = 100000000  # dito

#==============================================================
#
# End of job options file
#
#############################################################
